Bug 1566530 - Report for Storage Capacity Field Generating Error Cannot Convert Hash to Float
Summary: Report for Storage Capacity Field Generating Error Cannot Convert Hash to Float
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.2
Assignee: Tim Wade
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On: 1563861
Blocks: 1554897
TreeView+ depends on / blocked
 
Reported: 2018-04-12 13:19 UTC by Satoe Imaishi
Modified: 2021-06-10 15:47 UTC (History)
4 users (show)

Fixed In Version: 5.9.2.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1563861
Environment:
Last Closed: 2018-05-07 20:48:53 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1328 0 None None None 2018-05-07 20:49:18 UTC

Comment 3 CFME Bot 2018-04-12 13:21:46 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/9dbcf7914405a091cd55a8c38a82200b677054d2
commit 9dbcf7914405a091cd55a8c38a82200b677054d2
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Tue Apr 10 21:57:38 2018 -0400
Commit:     Jason Frey <fryguy9@gmail.com>
CommitDate: Tue Apr 10 21:57:38 2018 -0400

    Merge pull request #17278 from imtayadeway/fix-pers-vol-capacity-report-format

    Don't format PersistentVolume-capacity as bytes
    (cherry picked from commit ad111733f385518df6e95773825955db4da38b9f)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1566530

 app/models/miq_report/formats.rb | 22 +-
 db/fixtures/miq_report_formats.yml | 6 +
 spec/models/miq_report/formats_spec.rb | 15 +-
 3 files changed, 30 insertions(+), 13 deletions(-)

Comment 7 errata-xmlrpc 2018-05-07 20:48:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1328


Note You need to log in before you can comment on or make changes to this bug.